set xrange [4:16777216]
set xlabel "buffersize [bytes]" 
#set yrange [1:2700]    // automatically set by analysis.sh
set ylabel "number of MPI processes"
set logscale x 2 
set logscale y 2 
set xtics ("8" 8, " " 16, "32" 32, " " 64, " " 128, "256" 256, " " 512, "1k" 1024, " " 2048, " " 4096, "8k" 8192, " " 16384, "32k" 32768, " " 65536, " " 131072, "256k" 262144, " " 524288, "1M" 1048576, " " 2097152, " " 4194304, "8M" 8388608)
set ytics ("2" 2, "4" 4, "8" 8, "16" 16, "32" 32, "64" 64, "128" 128, "256" 256, "512" 512)
set title -22,-3.5
min(a,b) = (a < b) ? (a) : (b) 
set parametric 
plot [t=11.25:23.2] dummy=0 \
   , '< grep "dflt" $INP ' using 1:3 title "vendor"                         with points lt 8 pt 5 ps 3.0 \
   , '< grep "tree" $INP ' using 1:3 title "binary tree"                    with points lt 7 pt 4 ps 2.2 \
   , '< grep "pair" $INP ' using 1:3 title "pairwise + ring"                with points lt 3 pt 1 ps 2.0 \
   , '< grep "half" $INP ' using 1:3 title "halving + doubling"             with points lt 7 pt 3 ps 1.6 \
   , '< grep "rdbl" $INP ' using 1:3 title "recursive doubling"             with points lt 5 pt 8 ps 1.6 \
   , '< grep "blck" $INP ' using 1:3 title "binary blocks halving+doubling" with points lt 2 pt 2 ps 0.7
