set xrange [4:2.0**35]
set xlabel "buffersize [bytes]" 
#set yrange [1.4:500]    // automatically set by analysis.sh
set ylabel "number of MPI processes"
set logscale x 2 
set logscale y 2 
set xtics ("8" 8, " " 16, "32" 32, " " 64, " " 128, "256" 256, " " 512, "1k" 1024, " " 2048, " " 4096, "8k" 8192, " " 16384, "32k" 32768, " " 65536, " " 131072, "256k" 262144, " " 524288, "1M" 1048576, " " 2097152, " " 4194304, "8M" 8388608)
set ytics ("2" 2, "4" 4, "8" 8, "16" 16, "32" 32, "64" 64, "128" 128, "256" 256, "512" 512)
min(a,b) = (a < b) ? (a) : (b) 
set parametric 
set key graph 0.90, graph 0.85 Right spacing 1.8
set title ,-3 
plot [t=11.25:23.2] dummy=0 \
   , '< grep "C=12 " $INP' using 1:3  title "100.<= ratio      " with points lt 3 pt 5 ps 3.0 \
   , '< grep "C=11 " $INP' using 1:3  title "50. <= ratio <100." with points lt 4 pt 5 ps 2.6 \
   , '< grep "C=10 " $INP' using 1:3  title "20. <= ratio < 50." with points lt 8 pt 5 ps 2.2 \
   , '< grep "C=9 "  $INP' using 1:3  title "10. <= ratio < 20." with points lt 6 pt 5 ps 1.8 \
   , '< grep "C=8 "  $INP' using 1:3  title "7.0 <= ratio < 10." with points lt 7 pt 4 ps 2.8 \
   , '< grep "C=7 "  $INP' using 1:3  title "5.0 <= ratio < 7.0" with points lt 7 pt 6 ps 2.6 \
   , '< grep "C=6 "  $INP' using 1:3  title "3.0 <= ratio < 5.0" with points lt 7 pt 1 ps 2.4 \
   , '< grep "C=5 "  $INP' using 1:3  title "2.0 <= ratio < 3.0" with points lt 4 pt 1 ps 2.2 \
   , '< grep "C=4 "  $INP' using 1:3  title "1.5 <= ratio < 2.0" with points lt 3 pt 8 ps 1.8 \
   , '< grep "C=3 "  $INP' using 1:3  title "1.1 <= ratio < 1.5" with points lt 5 pt 8 ps 1.4 \
   , '< grep "C=2 "  $INP' using 1:3  title "0.9 <= ratio < 1.1" with points lt 2 pt 7 ps 1.0 \
   , '< grep "C=1 "  $INP' using 1:3  title "0.7 <= ratio < 0.9" with points lt 8 pt 2 ps 1.8 \
   , '< grep "C=0 "  $INP' using 1:3  title "0.0 <= ratio < 0.7" with points lt 1 pt 3 ps 2.0 \
   , end_dummy=0
