# Task: multiply bandwidth with 1.024**2, i.e., 
#       transform from 2**20 byte/sec to 10**6 byte/sec = 1 MB/s 
# 
#in_pos: 1  2  3           4    5      6          7          8          9
#input :NP= 2 pair       262144 M 132.43546    1.88306    1.89328    1.88771
#output:      262144 By    2 PEs pair  138.86864     1.88306     1.89328     1.88771 
#out_pos:          4       2        3       6          7            8           9 
#       123456789012----1234-----1234 1234567890 12345678901
# 
{ if ($5=="M")
  { 
    printf("%12d By %4d PEs %4s %10.5f %11.5f %11.5f %11.5f\n", 
              $4,    $2,     $3, $4/$7/1000., $7,$8,$9);
  } else 
  {
    print $0;
  } 
} 
