# Task: extract number of processes from group size
#
# Input:
# pair case meas lng. oper                 method length  latency bandwidth rank method elements
# pair    2    3    3   49      16  524280      1      2    1.000     1.000    0      2 0-3
# ...
# pair           16 M   0.31293    0.04774    0.04957    0.04876    0.01626     200      0.31948
# 
# Modified Output:
# NP=4 pair           16 M   0.31293    0.04774    0.04957    0.04876    0.01626     200      0.31948
#
# Reason: elements 0-3 means processes with ranks 0-3, i.e. 4 processes. 
# 
BEGIN{
  last = " "; 
  np = 0; 
}
{
  if ((last == "case") && ($2 == 2))
  {
    if ($13 == 2) 
    { 
      maxrank = substr( $14, 3 );
      np = maxrank + 1; 
#     print "Arg_14=", $14, "  maxrank=", maxrank, "  np=", np
    }
    else 
    { np = 0; 
    }
  } 
  if (($3 == "M") && (np != 0))
  { printf("NP=%1d %s\n", np, $0); }
  else
  { print $0; } 
  last = $2; 
} 
